Skip to main content
https://.thoughtindustries.com

Extract

List courseView

List courseView

GEThttps://example.thoughtindustries.com/incoming/v2/events/courseView

Returns a paginated list of courseView events, emitted when a learner views a course.

Example request

curl "https://example.thoughtindustries.com/incoming/v2/events/courseView" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
kindstringNoqueryFilters results to a specific event kind.
cursorstringNoqueryOpaque cursor string used to fetch the next page of results.
startDateISO 8601 timestampNoqueryReturns only events that occurred at or after this ISO 8601 timestamp.
endDateISO 8601 timestampNoqueryReturns only events that occurred at or before this ISO 8601 timestamp.
notifiableIduuidNoqueryFilters results to events associated with the specified course UUID.
userIduuidNoqueryFilters results to events generated by the specified user UUID.

Example response

{
  "data": {
    "APIEvents": {
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      },
      "events": [
        {}
      ]
    }
  }
}

Response fields

FieldTypeDescription
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of events returned per page.
pageInfo.cursorstringOpaque cursor to pass in the next request to retrieve the following page.
pageInfo.totalintegerTotal number of events matching the query.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.
eventsobject[]Array of courseView event objects matching the query.